org.kohsuke.stapler

## Class L10nProgress.HudsonMessages

- java.lang.Object
- - org.kohsuke.stapler.L10nProgress.HudsonMessages

Enclosing class:
  L10nProgress

    public final class L10nProgress.HudsonMessages
    extends Object

Information per directory.

### Constructor Summary

Constructors
Constructor and Description
`L10nProgress.HudsonMessages(File dir)`

### Method Summary

Methods
`int` `getCnt(String locale)`
`String` `getDirectoryName()`
`int` `ratio(String locale)` Gets the ratio of localization against the default locale.
`void` `toHatena(StringBuilder b)` Dumps this object as a row in the Hatena diary format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### L10nProgress.HudsonMessages

    public L10nProgress.HudsonMessages(File dir)

### Method Detail

#### getDirectoryName

    public String getDirectoryName()

#### getCnt

    public int getCnt(String locale)

#### ratio

    public int ratio(String locale)

Gets the ratio of localization against the default locale.

#### toHatena

    public void toHatena(StringBuilder b)

Dumps this object as a row in the Hatena diary format.